Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: libx264-142 1:142.20140826-1

Git Clone URL: https://aur-dev.archlinux.org/libx264-142.git (read-only)
Package Base: libx264-142
Description: Library for encoding H264/AVC video streams (older version)
Upstream URL: http://www.videolan.org/developers/x264.html
Licenses: GPL
Provides: libx264.so.142
Submitter: cobalt
Maintainer: cobalt
Last Packager: cobalt
Votes: 20
Popularity: 0.762512
First Submitted: 2015-03-19 20:59
Last Updated: 2016-12-27 13:04

Latest Comments

1 2 Next › Last »

cobalt commented on 2016-12-27 13:10

I made some changes, troubles with patching config.mak should be fixed now.

Jasler commented on 2016-12-26 23:17

This video saved my day:

https://www.youtube.com/watch?v=X1NemOokbIM

It's in russian, but fairly easy to follow though.

dd-han commented on 2016-12-12 15:59

I change PKGBUILD from

patch -p3 < ../config.diff

to

#patch -p3 < ../config.diff
echo manually patch!!
read

and manually patch config.mak by vim, and install l-smash, it works.

milomilo commented on 2016-12-05 20:07

hey guys the updated package doesnt work for me:

Hunk #1 FAILED at 38.
1 out of 1 hunk FAILED -- saving rejects to file config.mak.rej
==> ERROR: A failure occurred in build().
Aborting...

line 38 of config.mak contains:

SOFLAGS=-shared -Wl,-soname,$(SONAME) -Wl,-Bsymbolic

any ideas?

cobalt commented on 2016-12-02 07:47

Thanks for the help, dront78!

Manigoldo7280 commented on 2016-12-01 15:04

dront78, could you give a better explication how and where i can do the change you give, please ! Sorry, i'm a newbie. Thanks a lot !

dront78 commented on 2016-10-09 13:46

PKGBUILD deps ffmpeg-compat-54

change x264.c
- for( enum PixelFormat i = AV_PIX_FMT_NONE+1; i < AV_PIX_FMT_NB; i++ )
+ for( int i = AV_PIX_FMT_NONE+1; i < AV_PIX_FMT_NB; i++ )

change config.mak after configure
-l:libavformat.so.54 -l:libavcodec.so.54

jakub commented on 2016-06-22 18:26

Fails to install. Looks like the reason is same as it was for @Theredbaron1834 (http://pastebin.com/1mPan6Vy)

cobalt commented on 2016-05-06 17:07

Those who doesn't want to downgrade ffmpeg to 2.8.6 first to build real libx264.so.142 can use bogachenkove's pkgbuild or just symlink existing libx264 to libx264.so.142 using the next pkgbuild (no need to compile anything)

pkgname=('libx264-142')
pkgdesc='Library for encoding H264/AVC video streams (older version)'
pkgver=142.20140826
pkgrel=1
epoch=1
arch=('i686' 'x86_64')
url='http://www.videolan.org/developers/x264.html'
license=('GPL')
depends=('glibc' 'libx264')
provides=('libx264.so.142')

package() {
mkdir -p "$pkgdir/usr/lib"
cd "$pkgdir/usr/lib"
ln -s libx264.so libx264.so.142
}

cobalt commented on 2016-04-24 12:24

That would be a cheating :) with unknown result, but usually it works. And anyway you can just create symlink in such case, right?